Page MenuHomePhabricator

[libc++][doc] Update the release notes.
ClosedPublic

Authored by Mordante on Jan 22 2022, 3:43 AM.

Details

Summary

I had a look at the changes since the last release and updated the
release notes with interesting changes.

It seems this time the release notes were already rather up to date :-)

If there are more interesting changes, please let me know and I'll
update the patch. I'd like to commit these changes latest next weekend
so they land before branching the 14.0 release.

I've added most active libc++ contributors. If I forgot anybody please add them.

Diff Detail

Event Timeline

Mordante requested review of this revision.Jan 22 2022, 3:43 AM
Mordante created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptJan 22 2022, 3:43 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
philnik accepted this revision as: philnik.Jan 22 2022, 5:28 AM
Quuxplusone added a subscriber: ChuanqiXu.

LGTM % comments!

libcxx/docs/ReleaseNotes.rst
41–47
56–59
65

@ChuanqiXu: Do you agree with this statement?
I don't specifically object to it myself, but I figure @ChuanqiXu is the person who knows best.

126–129
- The ``<experimental/coroutine>`` header is deprecated, as is any
  use of coroutines without C++20. Use C++20's ``<coroutine>`` header
  instead. The ``<experimental/coroutine>`` header will be removed
  in LLVM 15.
180–183
222–223
ChuanqiXu added inline comments.Jan 22 2022, 7:46 PM
libcxx/docs/ReleaseNotes.rst
65

Yeah, I agree. The <coroutine> header should already be completed.

Mordante marked 2 inline comments as done.Jan 23 2022, 5:25 AM

Thanks for the comments @Quuxplusone I'll address later with possible comments of others.

libcxx/docs/ReleaseNotes.rst
65

I based it on D109433 which marked the feature-test macro as implemented.

cjdb resigned from this revision.Jan 24 2022, 4:12 PM
ldionne accepted this revision.Jan 25 2022, 3:53 PM

LGTM, and I agree with pretty much all the suggested reformulations. I think it's great to see that we've collectively been getting much better at writing release notes as we make changes -- that's how it should be done.

This revision is now accepted and ready to land.Jan 25 2022, 3:53 PM
Mordante marked 6 inline comments as done.Jan 30 2022, 5:15 AM

LGTM, and I agree with pretty much all the suggested reformulations. I think it's great to see that we've collectively been getting much better at writing release notes as we make changes -- that's how it should be done.

Agreed and I too noticed the release notes were in a much better shape this time around.

Thanks for all review comments, especially @Quuxplusone for suggesting a lot of improvements.

libcxx/docs/ReleaseNotes.rst
41–47

This wording has changed in D115999, where you made similar suggestions which have been adopted.

This revision was automatically updated to reflect the committed changes.
Mordante marked an inline comment as done.